Package org.apache.calcite.avatica

# Class MetaImpl.MetaUdt

java.lang.Object
org.apache.calcite.avatica.MetaImpl.MetaUdt

Enclosing class:
  MetaImpl

public static class MetaImpl.MetaUdt extends Object
Metadata describing a user-defined type.

## Field Summary

Fields
Modifier and Type
Field
Description
`final Short`
`baseType`
`final String`
`className`
`final int`
`dataType`
`final String`
`remarks`
`final String`
`typeCat`
`final String`
`typeName`
`final String`
`typeSchem`

## Constructor Summary

Constructors
Constructor
Description
`MetaUdt(String typeCat, String typeSchem, String typeName, String className, int dataType, Short baseType)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### typeCat

public final String typeCat

### typeSchem

public final String typeSchem

### typeName

public final String typeName

### className

public final String className

### dataType

public final int dataType

### remarks

public final String remarks

### baseType

public final Short baseType

## Constructor Details

### MetaUdt

public MetaUdt(String typeCat, String typeSchem, String typeName, String className, int dataType, Short baseType)